Get company project plan details

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /admin/company/{companyId}/project-plan-details

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • projectsAllocated integer(int32)
    • projectsUsed number(double)
    • projectPlanId string
GET /admin/company/{companyId}/project-plan-details
curl \
 --request GET 'https://live.smartpmtech.com/admin/company/{companyId}/project-plan-details' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "projectsAllocated": 42,
    "projectsUsed": 42.0,
    "projectPlanId": "string"
  }
]